import type { CSSProperties } from 'react';
import type { ControllerHookOptions, DualAxisOptions } from './types.js';
export interface UseAxisZoomOptions extends ControllerHookOptions, DualAxisOptions {
    /**
     * The zoom direction to use on wheel events.
     * @defaultValue 'vertical'
     * */
    direction?: 'horizontal' | 'vertical';
    /**
     * Zoom rectangle stroke color.
     * @defaultValue "red"
     * */
    color?: CSSProperties['stroke'];
    /**
     * Additional zoom rectangle style.
     * */
    rectangleStyle?: CSSProperties;
    /**
     * Zoom limit lines style.
     * */
    lineStyle?: CSSProperties;
}
export declare function useAxisZoom(options?: UseAxisZoomOptions): {
    annotations: null;
} | {
    annotations: import("react/jsx-runtime").JSX.Element;
};
//# sourceMappingURL=useAxisZoom.d.ts.map